# Uses of Class
org.opensaml.storage.impl.client.ClientStorageServiceOperation

Packages that use ClientStorageServiceOperation
Package
Description
org.opensaml.storage.impl.client
Implementation of `StorageService` that unifies cookie and HTML Local Storage.

## Uses of ClientStorageServiceOperation in org.opensaml.storage.impl.client

Fields in org.opensaml.storage.impl.client with type parameters of type ClientStorageServiceOperation
Modifier and Type
Field
Description
`private Collection<ClientStorageServiceOperation>`
ClientStorageSaveContext.`storageOperations`
Storage operations to perform.
Methods in org.opensaml.storage.impl.client that return ClientStorageServiceOperation
Modifier and Type
Method
Description
`abstract ClientStorageServiceOperation`
AbstractClientStorageServiceStore.`save(ClientStorageService storageService)`
Serialize current state of stored data into a storage operation.
`(package private) ClientStorageServiceOperation`
ClientStorageService.`save()`
Serialize the stored data if it's in a "modified/dirty" state.
`ClientStorageServiceOperation`
ClientStorageServiceStore.`save(ClientStorageService storageService)`
Serialize current state of stored data into a storage operation.
`ClientStorageServiceOperation`
JSONClientStorageServiceStore.`save(ClientStorageService storageService)`
Serialize current state of stored data into a storage operation.
`ClientStorageServiceOperation`
XMLClientStorageServiceStore.`save(ClientStorageService storageService)`
Serialize current state of stored data into a storage operation.
Methods in org.opensaml.storage.impl.client that return types with arguments of type ClientStorageServiceOperation
Modifier and Type
Method
Description
`Collection<ClientStorageServiceOperation>`
ClientStorageSaveContext.`getStorageOperations()`
Get the storage operations to perform.